Subject: Re: bug#53749: 29.0.50; [PATCH] Xref backend for TeX buffers

From: Arash Esbati <[email-masked]>
Date: Sat, 27 Jul 2024 17:39:01 +0200

David Fussner via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> writes:

> Hi Dmitry, Stefan M and Stefan K,
>
> Here's the latest patch, with most of the modifications requested by
> Stefan K. The code populating `semantic-symref-filepattern-alist` I've
> left in tex-mode.el, because I wasn't sure how to adjudicate the
> differing opinions on where it should go. Moving it won't take any
> time, should that be the verdict. I've had a stab at a NEWS entry, and
> included the patches to the manual etags test files. The diffs for the
> test files are large, since we remove the TeX escape char from any tag
> names where it occurs, as discussed elsewhere on this thread.
>
> Please let me know if more changes are needed.

Ping!  Gents, is it possible to give David your comments?  There was
some effort behind this, maybe it's time to bring this to an end.  TIA.

Best, Arash